QGIS Application - Bug report #16248
Processing / Import layer in PostGIS
2017-02-28 07:59 AM - didier peeters

Status: Closed

Priority: Normal

Assignee:

Category: Processing/OGR

Affected QGIS version:2.18.3 Regression?: No

Operating System: Mac Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 24158
Description

None of the tools made to import layers in PostGIS( available in the Processing tools) can select a layer.
The dropdown list to select one doesn't react.
Experienced with QGis 2.18 .

History

#1 - 2017-03-01 03:34 AM - Giovanni Manghi

- File Screen_Shot_2017-03-01_at_11.39.47.png added
- Target version deleted (Future Release - High Priority)
- Priority changed from High to Normal

- Status changed from Open to Feedback

- File Screen_Shot_2017-03-01_at_11.33.27.png added

Can't confirm here (also 10.12), see attached images

#2 - 2017-03-01 05:47 AM - didier peeters
- File Capture_d’écran_2017-03-01_a_14.24.49.png added

Thanks for this fast answer.

| made some more test on other systems:

Other Mac 10.12 -> not ok (doesn't work) / QGis 2.18 from Kyngchaos
Other Mac 10.12 -> not ok / QGis 2.18 from homebrew

Windows 8 -> not ok / QGis 2.14

on 5 Windows 7 -> ok / QGis 2.14 and 2.18

Linux Mint -> ok / QGis 2.14

All our systems are in french except one Win7, Postgresql used are 9.6 and 9.2 but | doubt it has any relation.
Do you have any clue about where to look ?

Are there any specificities related to the layers that could be problematic ?
| added a screen capture just in case.

#3 - 2017-03-06 09:07 AM - Giovanni Manghi
didier peeters wrote:

Thanks for this fast answer.

| made some more test on other systems:

Other Mac 10.12 -> not ok (doesn't work) / QGis 2.18 from Kyngchaos
Other Mac 10.12 -> not ok / QGis 2.18 from homebrew

Windows 8 -> not ok / QGis 2.14

on 5 Windows 7 -> ok / QGis 2.14 and 2.18

Linux Mint -> ok / QGis 2.14

Do you have any clue about where to look ?
Are there any specificities related to the layers that could be problematic ?

| added a screen capture just in case.

All our systems are in french except one Win7, Postgresql used are 9.6 and 9.2 but | doubt it has any relation.

your screenshot is from the modeler: if in the model you don't have any input vectors already in place then is normal the tool to not show any possible

input.
Please check and leave further feedback.

#4 - 2017-04-29 07:29 AM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to not reproducable

Closing for lack of feedback, please reopen if necessary.
